PyCharm 4.0.0 Web Help

In this section:

Prerequisite

Extracting information about the required packages from the requirements file is only available for those interpreters, where distribute and pip are present.

You can make sure whether the current interpreter contains these packages in the Project Interpreters page, and install them, if necessary.

To configure the default requirements file
  1. Under the project settings, click the page Python Integrated Tools.
  2. In the Package requirements file field, type the name of the requirements file. By default, requirements.txt is suggested. You can either accept default, or click the browse button and locate the desired file.
To define requirements, follow these general steps
  1. Create new file in the root directory of your project.
  2. In the New File dialog box, specify the file name.
  3. Type the names of the required packages as plain text. Note that recursive requirements syntax is supported: you can use the main requirements file, and include the other requirements with -r syntax.

See Also

Procedures:

Reference:

External Links:

Web Resources: